<?php

if ( function_exists( 'register_sidebar' ) ) {
	function gt3_register_sidebar() {
		$all_sidebars = gt3_get_theme_sidebars_for_admin();

		#default values
		$register_sidebar_attr = array(
			'description'   => __( 'Add the widgets appearance for Custom Sidebar. Drag the widget from the available list on the left, configure widgets options and click Save button. Select the sidebar on the posts or pages in just few clicks.', 'oyster' ),
			'before_widget' => '<div class="sidepanel %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<h6 class="sidebar_header">',
			'after_title'   => '</h6>'
		);
		#default values

		#REGISTER DEFAULT SIDEBARS
		$register_sidebar_attr['name'] = "Default";
		$register_sidebar_attr['id']   = 'page-sidebar-1';
		register_sidebar( $register_sidebar_attr );

		include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
		if ( class_exists( 'WooCommerce' ) ) {
			$register_sidebar_attr['name'] = "WooCommerce";
			$register_sidebar_attr['id']   = 'page-sidebar-99';
			register_sidebar( $register_sidebar_attr );
		}


		$sidebar_id = 100;
		if ( is_array( $all_sidebars ) ) {
			foreach ( $all_sidebars as $sidebarName ) {
				$register_sidebar_attr['name'] = $sidebarName;
				$register_sidebar_attr['id']   = 'page-sidebar-' . $sidebar_id ++;
				register_sidebar( $register_sidebar_attr );
				$sidebar_id ++;
			}
		}
	}
	add_action( 'widgets_init', 'gt3_register_sidebar' );
}
